﻿/*
@col-main = #b13843			-- Rosso Realizza		new: #b71918
@col-secondario = #dbac00	-- Oro Realizza
@col-giallino = #fffac6		-- Giallino iterator e header table
*/
.col-main { color: #b13843 !important; }
.bg-main { background-color: #b13843 !important; }
.col-secondario { color: #dbac00; }
.bg-secondario { background-color: #dbac00; }

body{ background-color:#cccccc; }
nav { background-color: #cccccc; }
footer { background-color: #cccccc; }


/*	LOGIN */
.login-container { background-color: #b13843; }
.login-form { margin-top: 60px; }

form[role=login] { color: #5d5d5d; background: #f2f2f2; padding: 26px; border-radius: 10px; -moz-border-radius: 10px; -webkit-border-radius: 10px; }
	form[role=login] img { display: block; margin: 0 auto; margin-bottom: 35px; }
	form[role=login] input[type=text],
	form[role=login] input[type=password],
	form[role=login] button {  }
	form[role=login] > div { text-align: center; }

.form-links { text-align: center; margin-top: 1em; margin-bottom: 50px; }
	.form-links a { color: #fff; }
/* Login - end */

.bg-main footer a { color: white; }
.bg-main footer a:hover { color: #cccccc}

/* Navbar */

.dropdown-menu { padding: 0; margin: 0; border: 0 solid transition !important; border: 0 solid rgba(0,0,0,.15); border-radius: 0; -webkit-box-shadow: none !important; box-shadow: none !important }

.btn-liv-10 { border-color: #b13843; color: #b13843; margin: 0px 3px; }
.btn-liv-10:hover { background-color: #b13843; }
.div-liv-20 { background-color: #b13843; color:white; font-size:90%; border:solid 1px white; padding:5px; width:auto;}
	.div-liv-20 a { color: inherit; display: block; font-weight: bold; }

.div-liv-30 { padding-left:10px;}
.div-liv-30 a { white-space:nowrap; font-weight:normal; }

.div-liv-20 .dropdown-item:hover,
	.div-liv-20 a:hover { color: #cccccc; background-color: transparent; }

.div-liv-20 .div-liv-30{}
/* Navbar - End */


/*	--- Dropdown hover ---*/
.dropdown:hover > .dropdown-menu { display: block; }
.dropdown > .dropdown-toggle:active { /*Without this, clicking will make it sticky*/ pointer-events: none; }
/*	--- Dropdown hover end ---*/

.container-fluid {padding:0px; margin:0px;}
.container-fluid .container { max-width: 100%; }
.container-fluid.container-iter { margin: 0px; padding: 0px; }
.container-fluid.container-iter .container{ width: 100%; max-width: 100%; }


.breadcrumb { background-color: #dbac00; }
	.breadcrumb-item { color: #cccccc; }
		.breadcrumb-item.active { color: white; font-weight: bold; }

	.user-top { display: inline-block; font-size: 80%; color: gray; border-left: solid 1px #cccccc; margin-left: 10px; padding-left: 10px; white-space:nowrap; }
	/* --- */


	/* FORM */
.form-content { margin-bottom:30px;}
	.form-content .card { padding: 0px 20px; margin-bottom: 15px; /*border-color: #dbac00;*/ }

.form-buttons-row { background-color:#e5e5e5; max-width:100%; margin:1px 30px; padding:10px 15px;}

.card-title { color: #dbac00; margin-bottom: .25rem; }

form label.control-label { color: #17a2b8; font-size: 90%; line-height: normal; margin-bottom: 0px; display: block; text-align: left;  }
form .invalid-feedback { text-align:left;}
form .invalid-tooltip {top:58px;}

.form-tab { padding:0px; }
.form-tab .nav-item .btn {margin:2px; font-size:80%}
.card.section { padding-top: 15px; margin-top: 25px; }
	.card.section .card-title { position: absolute; top: -17px; left:0px; background-color:#ececec; border: solid 1px #ccc; border-radius: 6px; padding:0px 6px;  }

.form-content .file-link {font-size:70%; white-space:nowrap;}
.btn-reset {padding-left:1px; padding-right:0px;}
.att-ico { vertical-align: super; }

.form-content .form-control { padding: 0.3rem 0.2rem; }
.form-content input[type=date],
.form-content input[type=time] { padding-left: 0px; padding-right: 0px; }

.form-control::placeholder { color: #bbbbbb; font-size: 80%; font-style: initial; }

select.form-control[multiple] option { font-size: 70%; }

.number-div { width: calc(100% - 20px); display: inline-block; }

.input-ghost {position:absolute;}

/* locator */
.loc-box { display: none; position: absolute; width:100%; background-color:#e8e8e8; z-index:100; border:solid 1px #cccccc; }
.loc-search, .loc-search:focus { background-color: #cccccc; }
.loc-ul { height: 200px; overflow-y: scroll; }
	.loc-ul li { font-size: 80%; padding: 5px 8px; background-color:transparent; }


.iter-row { background-color: #fffac6; border-bottom: solid 1px #b13843; margin:5px 0px; padding-top:5px; }
.iter-row:hover { background-color: #fff8a6;}


.iter-modal {  width: 80%; max-width: 80%; height: 80%; top: 6%; left: 3%; padding: 0px; }
	.iter-modal .modal-content { height: auto; min-height: 100% }
	.iter-modal .modal-header .close  { padding-top:5px;}
	.iter-modal .modal-header .close a { font-size: 100%; }

/* --- */
/* DATATABLES */
table.dataTable thead, table.dataTable tfoot { background-color: #fffac6; color: #b13843; }
table.dataTable thead th, table.dataTable thead td,
table.dataTable tfoot th, table.dataTable tfoot td { padding: 2px 6px; font-size: 90%; color: inherit; font-weight: normal; white-space: nowrap; }
table.dataTable tbody th, table.dataTable tbody td { padding: 2px 6px; }

table.dataTable thead .sorting::before,
table.dataTable thead .sorting::after,
table.dataTable thead .sorting_asc::before,
table.dataTable thead .sorting_asc::after, 
table.dataTable thead .sorting_desc::before, 
table.dataTable thead .sorting_desc::after, 
table.dataTable thead .sorting_asc_disabled::before, 
table.dataTable thead .sorting_asc_disabled::after, 
table.dataTable thead .sorting_desc_disabled::before, 
table.dataTable thead .sorting_desc_disabled::after { position: absolute; bottom: 0.3em; display: block; opacity: 0.3; color:white;}

.page-item.active .page-link { color: #fff; background-color: #b13843; border-color: #5acacc; }
	.page-link:hover { color: #fff; background-color: #5acacc; border-color: #5acacc; }

div.floatright { display: inline; float:right; padding-left:5px; }
table.dataTable .btn-id { width: 70px; text-align: right; }
.btn-stato { width: 80px; font-size:80%; padding:0.1rem;}

/* --- */
/* Generici */
.btn-main { color: #fff; background-color: #b13843; border-color: #b13843; }
	.btn-main:hover { color: #fff; background-color:  #e22738; border-color:  #e22738; }

.font-90p{ font-size:90%;}

/* Generici - End */



.att-box { width: 100%; text-align:center; border: solid 1px silver; margin: 10px; padding: 10px; border-radius: 6px; background-color: #cccccc; position:relative;}
	.att-box .att-btn-del { position: absolute; right: 0px; top: 0px; width:32px; }
	.att-box .att-btn-rename { position: absolute; right: 0px; top: 33px; width: 32px; }

	.zoom:hover { z-index: 100; -ms-transform: scale(2); /* IE 9 */ -webkit-transform: scale(2); /* Safari 3-8 */ transform: scale(2); border: solid 1px silver; padding: 5px; border-radius: 6px; }


.chosen-container { width:100% !important; }
	.chosen-container-single .chosen-single { height: 36px; font-size: 1rem; padding:5px; }
	.chosen-container-single .chosen-single div { padding-top: 6px; }


.bootstrap-touchspin .input-group-btn-vertical { display: none; }
.number-symbol { color:gray; font-weight:bold; font-size: 80%;}



.file-drop-zone-title { padding: 30px 10px; }


.status_select{ display:none; position:absolute; background-color: white; padding:20px; z-index:100;}


 /* --- colori stati INTRANET - LEAD--- */
/* --- Non Assegnato--- */
  .s-new, .s-toass { color: white !important; background-color: grey !important; border-color: grey; }
/* --- Assegnato--- */
 .s-assref { color: black !important; background-color: yellow !important; border-color: yellow; }
/* --- Lavorato Positivo--- */
  .s-app, .s-int, .s-app, .s-rec{ background-color: #0d5bef; color: white !important; border-color: #0d5bef; }
/* --- Lavorato Negativo--- */
 .s-nofin, .s-noint, .s-ricecc, .s-decl{ font-size: 60%; color: white !important; background-color: red; border-color: red; }
/* --- Fake--- */
.s-fuorizona, .s-lead2, .s-impcon { font-size: 60%; color: white !important; background-color: #000000; border-color: #000000; }
/* --- Convertiti Pratica--- */
 .s-prev, .s-pra, .s-inccar,.s-incfirmato { background-color: #d5a719 ; color: white !important; border-color: #d5a719; }
/* --- Convertiti a Contratto--- */
  .s-ct { background-color: #358538 ; color: white !important; border-color: #358538; }


.bg-blue { background-color: #003768 !important;}
.bg-gold { background-color: #c5923c !important;}
.text-gold { color: #c5923c !important;}
.text-blue { color: #003768 !important;}




.step-head { font-weight: bold; margin-bottom: 20px; }
  .step-head .step-icon { border: 4px solid #c99d00; min-width: 42px; height: 42px; text-align: center; line-height: 36px; border-radius: 50%; font-weight: bold; font-size: 22px; color: #b13843; }
  .step-head h3 { font-weight: bold; color: #b13843; margin-left: 10px; align-self: center; margin-bottom: 0; }


 .step-head-2 { font-weight: bold; margin-bottom: 30px; }
  .step-head-2 .step-icon { border: 4px solid #c99d00; min-width: 42px; height: 42px; text-align: center; line-height: 40px; border-radius: 50%; font-weight: bold; font-size: 22px; color: #fff; }
  .step-head-2 h3 { font-weight: bold; color: #fff; margin-left: 10px; align-self: center; margin-bottom: 0; }

  .white-box { background-color: #fff; padding: 10px; height: auto; width: 100%; }   /*Massimo: abbassato a 10px*/
  .white-box h5 { font-weight: bold; color: #c5923c; }

 .white-box-tr { background-color: rgba(255, 255, 255, 0.5); padding: 20px; height: auto; width: 100%; }
  .white-box-tr h5 { font-weight: bold; color: #c5923c; }

  /* Generici */
    .btn-main { color: #fff !important; background-color: #b13843; border-color: #b13843; }
  .btn-main:hover { color: #fff; background-color: #982f39; border-color: #982f39; }
.btn-outline-main { color: #b13843; background-color: #fff; border-color: #b13843; }
    .btn-outline-main:hover { color: #fff; background-color: #b13843; border-color: #5acacc; }

	

.table-wrapper { background: #fff; padding: 20px; margin: 30px 0; box-shadow: 0 1px 1px rgba(0,0,0,.05); }
.table-title {  padding-bottom: 10px; margin: 0 0 10px; min-height: 45px; }
    .table-title h2 { margin: 5px 0 0; font-size: 24px; }
    .table-title select {margin: 0px; height:auto; display:inline-block; width:auto; text-align:center; }

.table-xs {}
    .table-xs th, .table-xs td { padding:1px 3px; vertical-align:middle;}

table.table { }
table.table tr:nth-child(even) {  }
table.table tbody tr:hover {  }
    table.table tbody tr.active { }

table.table tr th, table.table tr td { border-color: #e9e9e9; font-size:13px; vertical-align:top; }
    table.table tr th.small, table.table tr td.small { font-size: 80%; font-weight: 400; }
table.table th, table.table th button { white-space: nowrap; }
    table.table th i { font-size: 13px; margin: 0px; cursor: pointer; }
/*table.table td:last-child { width: 130px; }*/
table.table td .btn-keyId {width:80px; text-align:center; }
table.table td a { color: #a0a5b1; display: inline-block; }

.pag-light{ white-space:nowrap; text-align:center;}
    .pag-light .input-group input {  margin: 0px; height: auto; }
    .pag-light .input-group input:focus { border-color: #3FBAE4; }

table.table .div-xs { }
    table.table .div-xs input,
    table.table .div-xs select { padding: 0px 2px; margin: 0px; height: auto; font-size: 80%; }
    table.table .div-xs button { padding: 0px; margin: 0px; }

